package db

import (
	"context"
	"time"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"
)

func CreateEnterprise(ctx context.Context, newEnterprise http_model.CreateEnterpriseRequest) (*http_model.CreateEnterpriseData, error) {
	db := GetReadDB(ctx)
	enterprise := &gorm_model.Enterprise{
		Industry:         newEnterprise.Industry,
		BusinessName:     newEnterprise.BusinessName,
		UserId:           newEnterprise.UserId,
		Balance:          0,
		FrozenBalance:    0,
		AvailableBalance: 0,
		LastLoginTime:    time.Now().UTC().Local(),
	}
	err := db.Create(&enterprise).Error
	if err != nil {
		return nil, err
	}
	data := &http_model.CreateEnterpriseData{
		EnterpriseId: enterprise.EnterpriseId,
	}
	return data, nil
}
