package db

import (
	"context"
	"time"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"
)

func CreateProject(ctx context.Context, newProject http_model.CreateProjectRequest) (*http_model.CreateProjectData, error) {
	db := GetReadDB(ctx)
	Project := gorm_model.ProjectInfo{
		ProjectName:     newProject.ProjectName,
		ProjectStatus:   1,
		ProjectType:     newProject.ProjectType,
		TalentType:      newProject.TalentType,
		ProjectPlatform: newProject.ProjectPlatform,
		ProjectForm:     newProject.ProjectForm,
		// RecruitDdl:      newProject.RecruitDdl,
		RecruitDdl:    time.Now().UTC().Local(),
		ProjectDetail: newProject.ProjectDetail,
		ContentType:   newProject.ContentType,
		EnterpriseID:  newProject.EnterpriseID,
		ProductID:     newProject.ProductID,
	}
	err := db.Create(&Project).Error
	if err != nil {
		return nil, err
	}
	data := &http_model.CreateProjectData{
		ProjectID: Project.ProjectID,
	}
	return data, nil
}
