package db

import (
	"context"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"
)

func CreateProjectPhoto(ctx context.Context, projectID int, newProjectPhotos []http_model.CreateProjectPhoto) error {
	db := GetReadDB(ctx)
	projectPhotos := []gorm_model.ProjectPhoto{}
	for _, newPhoto := range newProjectPhotos {
		projectPhoto := gorm_model.ProjectPhoto{
			PhotoUrl:  newPhoto.PhotoUrl,
			ProjectID: projectID,
		}
		projectPhotos = append(projectPhotos, projectPhoto)
	}
	err := db.Create(&projectPhotos).Error
	if err != nil {
		return err
	}
	return nil
}
