package db

import (
	"context"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"
)

func CreateRecruitStrategy(ctx context.Context, projectID int, newRecruitStrategy []http_model.CreateRecruitStrategy) error {
	db := GetReadDB(ctx)
	recruitStrategys := []gorm_model.RecruitStrategy{}
	for _, newStrategy := range newRecruitStrategy {
		recruitStrategy := gorm_model.RecruitStrategy{
			FeeForm:       newStrategy.FeeForm,
			StrategyID:    newStrategy.StrategyID,
			FollowersLow:  newStrategy.FollowersLow,
			FollowersUp:   newStrategy.FollowersUp,
			RecruitNumber: newStrategy.RecruitNumber,
			Offer:         newStrategy.Offer,
			ProjectID:     projectID,
		}
		recruitStrategys = append(recruitStrategys, recruitStrategy)
	}
	err := db.Create(&recruitStrategys).Error
	if err != nil {
		return err
	}
	return nil
}
