package db

import (
	"context"
	"time"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"

	"gorm.io/gorm"
)

func CreateEnterpriseUser(ctx context.Context, newUser http_model.CreateEnterpriseRequest) (*http_model.CreateUserData, error) {
	db := GetReadDB(ctx)
	user := &gorm_model.User{
		Phone:         newUser.Phone,
		User:          "1001",
		Username:      newUser.BusinessName,
		Password:      "1001",
		RealName:      newUser.RealName,
		Role:          "3",
		Email:         newUser.Email,
		LastLoginTime: time.Now().UTC().Local(),
	}
	err := db.Create(&user).Error
	if err != nil {
		return nil, err
	}
	data := &http_model.CreateUserData{
		UserID: user.ID,
	}
	return data, nil
}

func GetUserByPhone(ctx context.Context, phone string) (*gorm_model.User, error) {
	db := GetReadDB(ctx)
	user := &gorm_model.User{}
	err := db.Model(user).Where("phone = ?", phone).First(user).Error
	if err != nil {
		if err == gorm.ErrRecordNotFound {
			return nil, nil
		}
		return nil, err
	}
	return user, nil
}
