package handler

import (
	"fmt"
	"youngee_b_api/model/http_model"
	"youngee_b_api/service"

	"github.com/gin-gonic/gin"
)

func WrapCreateEnterpriseHandler(ctx *gin.Context) {
	handler := newCreateEnterpriseHandler(ctx)
	baseRun(handler)
}

func newCreateEnterpriseHandler(ctx *gin.Context) *CreateEnterpriseHandler {
	return &CreateEnterpriseHandler{
		req:  http_model.NewCreateEnterpriseRequest(),
		resp: http_model.NewCreateEnterpriseResponse(),
		ctx:  ctx,
	}
}

type CreateEnterpriseHandler struct {
	req  *http_model.CreateEnterpriseRequest
	resp *http_model.CommonResponse
	ctx  *gin.Context
}

func (h *CreateEnterpriseHandler) getRequest() interface{} {
	return h.req
}
func (h *CreateEnterpriseHandler) getContext() *gin.Context {
	return h.ctx
}
func (h *CreateEnterpriseHandler) getResponse() interface{} {
	return h.resp
}
func (h *CreateEnterpriseHandler) run() {
	//判断验证码是否正确

	//若正确，创建企业用户
	data := http_model.CreateEnterpriseRequest{}
	data = *h.req
	res := service.CreateEnterprise.CreateEnterpriseUser(h.ctx, data)
	if res != nil {
		fmt.Printf("%+v\n", res)
	} else {
		fmt.Printf("error\n")
	}
	h.resp.Data = res
}
func (h *CreateEnterpriseHandler) checkParam() error {
	return nil
}
