package handler

import (
	"fmt"
	"youngee_b_api/model/http_model"
	"youngee_b_api/service"

	"github.com/gin-gonic/gin"
)

func WrapCreateProjectHandler(ctx *gin.Context) {
	handler := newCreateProjectHandler(ctx)
	baseRun(handler)
}

func newCreateProjectHandler(ctx *gin.Context) *CreateProjectHandler {
	return &CreateProjectHandler{
		req:  http_model.NewCreateProjectRequest(),
		resp: http_model.NewCreateProjectResponse(),
		ctx:  ctx,
	}
}

type CreateProjectHandler struct {
	req  *http_model.CreateProjectRequest
	resp *http_model.CommonResponse
	ctx  *gin.Context
}

func (h *CreateProjectHandler) getRequest() interface{} {
	return h.req
}
func (h *CreateProjectHandler) getContext() *gin.Context {
	return h.ctx
}
func (h *CreateProjectHandler) getResponse() interface{} {
	return h.resp
}
func (h *CreateProjectHandler) run() {
	data := http_model.CreateProjectRequest{}
	data = *h.req
	res := service.CreateProject.CreateProject(h.ctx, data)
	if res != nil {
		fmt.Printf("%+v\n", res)
	} else {
		fmt.Printf("error\n")
	}
	h.resp.Data = res
}
func (h *CreateProjectHandler) checkParam() error {
	return nil
}
