package http_model

type CreateEnterpriseRequest struct {
	EnterpriseId int    `json:"enterprise_id"` // 企业id
	UserId       int    `json:"user_id"`       // 对应用户id
	RealName     string `json:"real_name"`     // 真实姓名
	Phone        string `json:"phone"`         //手机号
	Industry     int    `json:"industry"`      // 行业，1-14分别代表能源、化工、材料、机械设备/军工、企业服务/造纸印刷、运输设备、旅游酒店、媒体/信息通信服务、批发/零售、消费品、卫生保健/医疗、金融、建材/建筑/房地产、公共事业
	BusinessName string `json:"business_name"` // 公司或组织名称
	Email        string `json:"email"`         // 电子邮件
	Code         string `json:"code"`          //验证码
}

type CreateEnterpriseData struct {
	EnterpriseId int `json:"enterprise_id"` // 企业id
}
type CreateUserData struct {
	UserID int `json:"user_id"` // 用户id
}

func NewCreateEnterpriseRequest() *CreateEnterpriseRequest {
	return new(CreateEnterpriseRequest)
}
func NewCreateEnterpriseResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(CreateEnterpriseData)
	return resp
}
