package http_model

type CreateProductPhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片或视频url
	Symbol   int    `json:"symbol"`    // 图片为主图或详情图标志位，1为主图，2为详情图，3为视频
}

type CreateProductRequest struct {
	ProductName   string               `json:"product_name"`   // 商品名称
	ProductType   int                  `json:"product_type"`   // 商品类型
	ShopAddress   string               `json:"shop_address"`   // 店铺地址，商品类型为线下品牌时需填写
	ProductPrice  int64                `json:"product_price"`  // 商品价值
	ProductPhotos []CreateProductPhoto `json:"product_photos"` // 商品图片列表
	ProductUrl    string               `json:"product_url"`    // 商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；
	EnterpriseID  int                  `json:"enterprise_id"`  // 所属企业id
	BrandName     string               `json:"brand_name"`
}

type CreateProductData struct {
	ProductID int `json:"product_id"` // 商品id
}

func NewCreateProductRequest() *CreateProductRequest {
	return new(CreateProductRequest)
}
func NewCreateProductResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(CreateProductData)
	return resp
}
