package http_model

import "time"

type CreateProjectPhoto struct {
	PhotoUrl string `json:"photo_url"` // 图片url
}

type CreateRecruitStrategy struct {
	FeeForm       int `json:"fee_form"`       // 稿费形式，1-3分别代表产品置换、固定稿费、自报价
	StrategyID    int `json:"strategy_id"`    // 策略id
	FollowersLow  int `json:"followers_low"`  // 达人粉丝数下限
	FollowersUp   int `json:"followers_up"`   // 达人粉丝数上限
	RecruitNumber int `json:"recruit_number"` // 招募数量
	Offer         int `json:"offer"`          // 报价
}

type CreateProjectRequest struct {
	ProjectName      string                  `json:"project_name"`      // 项目名称
	ProjectStatus    int                     `json:"project_status"`    // 项目状态，1-7分别代表创建中、待审核、招募中、待支付、失效、执行中、已结案
	ProjectType      int                     `json:"project_type"`      // 项目类型，1代表全流程项目，2代表专项项目
	ProjectPlatform  int                     `json:"project_platform"`  // 项目平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	ProjectForm      int                     `json:"project_form"`      // 项目形式，1-4分别代表实体商品寄拍、虚拟产品测评、线下探店打卡、素材微原创
	TalentType       int                     `json:"talent_type"`       // 达人类型
	RecruitDdl       time.Time               `json:"recruit_ddl"`       // 招募截止时间
	ContentType      int                     `json:"content_type"`      // 内容形式，1代表图文，2代表视频
	ProjectDetail    string                  `json:"project_detail"`    // 项目详情
	RecruitStrategys []CreateRecruitStrategy `json:"recruit_strategys"` // 定价策略
	ProjectPhotos    []CreateProjectPhoto    `json:"project_photos"`    // 项目图片
	EnterpriseID     int                     `json:"enterprise_id"`     // 所属企业id
	ProductID        int                     `json:"product_id"`        // 关联商品id
}

type CreateProjectData struct {
	ProjectID int `json:"Project_id"` // 项目id
}

func NewCreateProjectRequest() *CreateProjectRequest {
	return new(CreateProjectRequest)
}
func NewCreateProjectResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(CreateProjectData)
	return resp
}
